package com.xzzn.ems.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 模板+模板时间数据
 *
 * @author xzzn
 * @date 2025-07-12
 */
public class StrategyTempTimeConfigVo
{
    /** 模版id */
    private Long id;

    /** 关联的策略ID */
    private Long strategyId;

    /** 模板名称，如“模板一” */
    private String templateName;

    /** SDC限制 (%) 1 = 开，0 = 关 */
    private Integer sdcLimit;

    /** SDC下限 (%) */
    private BigDecimal sdcDown;

    /** SDC上限 (%) */
    private BigDecimal sdcUp;

    /** 站点id */
    private String siteId;

    /** 开始时间 */
    @JsonFormat(pattern = "HH:mm:ss")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "HH:mm:ss")
    private Date endTime;

    /** 充放功率 (kW) */
    private BigDecimal chargeDischargePower;

    /** 充电状态，如“1-充电”、“2-待机” */
    private String chargeStatus;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setStrategyId(Long strategyId)
    {
        this.strategyId = strategyId;
    }

    public Long getStrategyId()
    {
        return strategyId;
    }

    public void setTemplateName(String templateName)
    {
        this.templateName = templateName;
    }

    public String getTemplateName()
    {
        return templateName;
    }

    public void setSdcLimit(Integer sdcLimit)
    {
        this.sdcLimit = sdcLimit;
    }

    public Integer getSdcLimit()
    {
        return sdcLimit;
    }

    public void setSdcDown(BigDecimal sdcDown)
    {
        this.sdcDown = sdcDown;
    }

    public BigDecimal getSdcDown()
    {
        return sdcDown;
    }

    public void setSdcUp(BigDecimal sdcUp)
    {
        this.sdcUp = sdcUp;
    }

    public BigDecimal getSdcUp()
    {
        return sdcUp;
    }

    public void setSiteId(String siteId)
    {
        this.siteId = siteId;
    }

    public String getSiteId()
    {
        return siteId;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public BigDecimal getChargeDischargePower() {
        return chargeDischargePower;
    }

    public void setChargeDischargePower(BigDecimal chargeDischargePower) {
        this.chargeDischargePower = chargeDischargePower;
    }

    public String getChargeStatus() {
        return chargeStatus;
    }

    public void setChargeStatus(String chargeStatus) {
        this.chargeStatus = chargeStatus;
    }
}
